Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512947 - [abrt] nemo: get_n_monitors(): nemo-desktop killed by SIGSEGV
Summary: [abrt] nemo: get_n_monitors(): nemo-desktop killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8c7d9bc494d321a1081470d7468...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 13:44 UTC by Alex Finkel
Modified: 2017-12-29 20:23 UTC (History)
9 users (show)

Fixed In Version: nemo-3.6.5-1.fc27 nemo-3.6.5-1.fc26 nemo-3.6.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-22 14:57:41 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-14 13:44 UTC, Alex Finkel
no flags Details
File: cgroup (deleted)
2017-11-14 13:44 UTC, Alex Finkel
no flags Details
File: core_backtrace (deleted)
2017-11-14 13:44 UTC, Alex Finkel
no flags Details
File: cpuinfo (deleted)
2017-11-14 13:44 UTC, Alex Finkel
no flags Details
File: dso_list (deleted)
2017-11-14 13:44 UTC, Alex Finkel
no flags Details
File: environ (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details
File: exploitable (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details
File: limits (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details
File: maps (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details
File: mountinfo (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details
File: open_fds (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details
File: proc_pid_status (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details
File: var_log_messages (deleted)
2017-11-14 13:45 UTC, Alex Finkel
no flags Details

Description Alex Finkel 2017-11-14 13:44:51 UTC
Description of problem:
Error occured immediately upon logging in to my desktop using Cinnamon.

Version-Release number of selected component:
nemo-3.6.2-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        nemo-desktop
crash_function: get_n_monitors
executable:     /usr/bin/nemo-desktop
journald_cursor: s=2f65b00e0f494bb6b2c596b1a9877d2e;i=56751;b=ea37cb05d2304194930191de298cfe97;m=2896adc;t=55df18813eaaa;x=264c234258fefa1c
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 get_n_monitors at nemo-desktop-manager.c:170
 #1 layout_changed at nemo-desktop-manager.c:361
 #6 g_main_context_iteration at gmain.c:3947
 #7 g_application_run at gapplication.c:2401

Comment 1 Alex Finkel 2017-11-14 13:44:55 UTC
Created attachment 1351951 [details]
File: backtrace

Comment 2 Alex Finkel 2017-11-14 13:44:56 UTC
Created attachment 1351953 [details]
File: cgroup

Comment 3 Alex Finkel 2017-11-14 13:44:57 UTC
Created attachment 1351954 [details]
File: core_backtrace

Comment 4 Alex Finkel 2017-11-14 13:44:58 UTC
Created attachment 1351956 [details]
File: cpuinfo

Comment 5 Alex Finkel 2017-11-14 13:44:59 UTC
Created attachment 1351957 [details]
File: dso_list

Comment 6 Alex Finkel 2017-11-14 13:45:00 UTC
Created attachment 1351959 [details]
File: environ

Comment 7 Alex Finkel 2017-11-14 13:45:01 UTC
Created attachment 1351960 [details]
File: exploitable

Comment 8 Alex Finkel 2017-11-14 13:45:02 UTC
Created attachment 1351961 [details]
File: limits

Comment 9 Alex Finkel 2017-11-14 13:45:04 UTC
Created attachment 1351962 [details]
File: maps

Comment 10 Alex Finkel 2017-11-14 13:45:05 UTC
Created attachment 1351963 [details]
File: mountinfo

Comment 11 Alex Finkel 2017-11-14 13:45:06 UTC
Created attachment 1351964 [details]
File: open_fds

Comment 12 Alex Finkel 2017-11-14 13:45:07 UTC
Created attachment 1351966 [details]
File: proc_pid_status

Comment 13 Alex Finkel 2017-11-14 13:45:08 UTC
Created attachment 1351967 [details]
File: var_log_messages

Comment 14 Duncan Grisby 2017-11-21 22:58:35 UTC
Similar problem has been detected:

Immediately after login, the Abrt dialog popped up.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        nemo-desktop
crash_function: get_n_monitors
executable:     /usr/bin/nemo-desktop
journald_cursor: s=86d9c54c29094d41a5c189faf6e74773;i=7c76cb;b=a163ccaa0e434610947d81e0d66f6834;m=759dc168f8;t=55e8613438d10;x=e446af0d214f51dd
kernel:         4.13.12-300.fc27.x86_64
package:        nemo-3.6.2-2.fc27
reason:         nemo-desktop killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Moritz Kammerer 2017-11-29 14:36:02 UTC
*** Bug 1518746 has been marked as a duplicate of this bug. ***

Comment 16 Michael Webster 2017-11-30 00:53:07 UTC
Hi, if you run 'nemo-desktop' from a terminal after startup, do you receive the same result?

Comment 17 Michael Webster 2017-11-30 01:13:57 UTC
Actually, if you could run it this way:

G_MESSAGES_DEBUG=all NEMO_DEBUG=Desktop nemo-desktop

and give me all the output.

Thanks!

Comment 18 Michael Webster 2017-11-30 01:33:56 UTC
https://github.com/linuxmint/nemo/commit/cb92eec4db471e77b4cb38072aaac7a6fff7d074

This should prevent the crash (and hopefully the fallback code will handle the desktop ok,) but I'm still not sure why it would fail this way in the first place.

Comment 19 Alex Finkel 2017-12-11 14:03:30 UTC
(In reply to Michael Webster from comment #17)
> Actually, if you could run it this way:
> 
> G_MESSAGES_DEBUG=all NEMO_DEBUG=Desktop nemo-desktop
> 
> and give me all the output.
> 
> Thanks!

[afinkel@manatee ~]$ G_MESSAGES_DEBUG=all NEMO_DEBUG=Desktop nemo-desktop

** (nemo-desktop:3893): WARNING **: Desktop already managed by another application, skipping desktop setup.
To change this, modify org.nemo.desktop 'ignored-desktop-handlers'.

[afinkel@manatee ~]$ ps -eaf |grep nemo
afinkel   2713  1863  0 08:50 tty2     00:00:00 nemo-desktop

[afinkel@manatee ~]$ kill 2713

[afinkel@manatee ~]$ ps -eaf |grep nemo
afinkel   3914  1863  4 08:56 tty2     00:00:00 nemo-desktop

I have not seen this problem recur since the original report and if I try to kill nemo-desktop the session starts it up again immediately.

Is there an easy way to get debug output?   I have not had enough coffee yet to think through the steps or to find the session configuration files.

Comment 20 Michael Webster 2017-12-11 17:42:23 UTC
Sorry, I should have mentioned, kill it twice (the session manager restarts it just once) then you can simply run from a terminal.

Comment 21 Alex Finkel 2017-12-11 22:21:59 UTC
[afinkel@manatee ~]$ G_MESSAGES_DEBUG=all NEMO_DEBUG=Desktop nemo-desktop
(nemo-desktop:14870): Gtk-DEBUG: Connecting to session manager
(nemo-desktop:14870): Gtk-DEBUG: Registering client 'org.NemoDesktop' ''
(nemo-desktop:14870): Gtk-DEBUG: Registered client at '/org/gnome/SessionManager/Client37'
Initializing nemo-image-converter extension
** (nemo-desktop:14870): DEBUG: nemo_desktop_manager_init: nemo-desktop-manager.c:654: Desktop Manager Initialization
** Message: nemo-desktop: session is cinnamon, establishing proxy
** (nemo-desktop:14870): DEBUG: on_proxy_created: nemo-desktop-manager.c:560: Cinnamon proxy established, getting owner and state
** (nemo-desktop:14870): DEBUG: on_bus_name_owner_changed: nemo-desktop-manager.c:408: New name owner: :1.54
** (nemo-desktop:14870): DEBUG: on_run_state_changed: nemo-desktop-manager.c:421: New run state...
** (nemo-desktop:14870): DEBUG: get_run_state: nemo-desktop-manager.c:142: Run state is RunState.RUNNING
** (nemo-desktop:14870): DEBUG: get_n_monitors: nemo-desktop-manager.c:178: Proxy call to 'GetMonitors' succeeded
** (nemo-desktop:14870): DEBUG: get_n_monitors: nemo-desktop-manager.c:194: Found 1 monitor(s): 0
** (nemo-desktop:14870): DEBUG: nemo_blank_desktop_window_update_geometry: nemo-blank-desktop-window.c:376: NemoBlankDesktopWindow monitor:0: x:0, y:26, w:1920, h:1054

Comment 22 ladis29 2017-12-13 01:25:37 UTC
*** Bug 1525299 has been marked as a duplicate of this bug. ***

Comment 23 linuxdao 2017-12-13 10:38:21 UTC
*** Bug 1525437 has been marked as a duplicate of this bug. ***

Comment 24 Fedora Update System 2017-12-18 13:55:54 UTC
nemo-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-312ccf64c9

Comment 25 Fedora Update System 2017-12-18 13:56:14 UTC
nemo-3.6.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4b6145c8c6

Comment 26 Fedora Update System 2017-12-18 13:56:28 UTC
nemo-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7dd2072481

Comment 27 Fedora Update System 2017-12-18 22:02:31 UTC
cinnamon-3.6.7-1.fc27, nemo-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-312ccf64c9

Comment 28 Fedora Update System 2017-12-18 22:40:33 UTC
cinnamon-3.6.7-1.fc26, nemo-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7dd2072481

Comment 29 Fedora Update System 2017-12-18 23:13:02 UTC
cinnamon-3.6.7-1.el7, nemo-3.6.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4b6145c8c6

Comment 30 Fedora Update System 2017-12-22 14:57:41 UTC
cinnamon-3.6.7-1.fc27, nemo-3.6.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2017-12-26 16:31:41 UTC
cinnamon-3.6.7-1.fc26, nemo-3.6.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-12-29 20:23:23 UTC
cinnamon-3.6.7-1.el7, nemo-3.6.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.